For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList tool description overrides (connector)
      • PATCHBulk upsert/delete tool description overrides (connector)
      • GETList tool description overrides (Tool Pack)
      • PATCHBulk upsert/delete tool description overrides (Tool Pack)

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool description overrides

Bulk upsert/delete tool description overrides (connector)

PATCH
https://ah-api.merge.dev/api/v1/connectors/tool-description-overrides/
PATCH
/api/v1/connectors/tool-description-overrides/
$curl -X PATCH https://ah-api.merge.dev/api/v1/connectors/tool-description-overrides/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "connector_slug": "string",
> "tool_name": "string",
> "description": "string"
> }
>]'
200Updated
1[
2 {
3 "id": "string",
4 "connector_slug": "string",
5 "tool_name": "string",
6 "description": "string",
7 "defined_at": "string",
8 "created_at": "2024-01-15T09:30:00Z",
9 "modified_at": "2024-01-15T09:30:00Z"
10 }
11]

Bulk upsert or delete tool description overrides. Send a list of items with connector_slug, tool_name, and description. Set description to null to delete an override.

Was this page helpful?
Previous

List tool description overrides (connector)

Next

List tool description overrides (Tool Pack)

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Request

This endpoint expects a list of objects.
connector_slugstringRequired<=255 characters
tool_namestringRequired<=255 characters
descriptionstring or nullRequired<=10000 characters

Response

idstringRead-onlyformat: "uuid"
connector_slugstringRead-only
tool_namestringRead-only
Name of the tool being overridden
descriptionstring
Custom description for the tool
defined_atstringRead-only
created_atdatetimeRead-only
modified_atdatetimeRead-only